Bug 8266 - [i965] glean new test case "pixelFormats" FAIL
[i965] glean new test case "pixelFormats" FAIL
Status: RESOLVED NOTABUG
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
git
x86 (IA32) Linux (All)
: high normal
Assigned To: Eric Anholt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 22:10 UTC by veelion (inactive account)
Modified: 2009-08-24 12:24 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
"pixelFormats" testing log (1.54 MB, text/plain)
2006-09-13 22:12 UTC, veelion (inactive account)
Details
Xorg log (99.01 KB, text/plain)
2006-09-13 22:12 UTC, veelion (inactive account)
Details
xorg conf (2.66 KB, text/plain)
2006-09-13 22:14 UTC, veelion (inactive account)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description veelion (inactive account) 2006-09-13 22:10:45 UTC
platform: 965G
OS: FC5 ia32
kernel: 2.6.17.7
Xorg: 7.1

glean add new test case "pixelFormats", but the testing FAIL

reproduce:
./glean -r pixelFormats -t "pixelFormats" > pixelFormats.log
Comment 1 veelion (inactive account) 2006-09-13 22:12:00 UTC
Created attachment 6961 [details]
"pixelFormats" testing log
Comment 2 veelion (inactive account) 2006-09-13 22:12:49 UTC
Created attachment 6962 [details]
Xorg log
Comment 3 veelion (inactive account) 2006-09-13 22:14:13 UTC
Created attachment 6963 [details]
xorg conf
Comment 4 veelion (inactive account) 2006-09-13 22:19:55 UTC
another new test case "texture_srgb" seems didnot run, because it gives no result 
and no log. the same situation appears on case "depthStencil". 
Comment 5 Gordon Jin 2006-09-21 02:32:42 UTC
The failures are related to SRGB formats.
Keith Whitwell considers this as glean bug, and can be fixed by undef
GL_EXT_texture_sRGB.
Comment 6 Gordon Jin 2006-09-21 22:52:48 UTC
the glean test pixelFormats is fixed in current glean CVS, so it's passing on 
965 driver.
Comment 7 ajax at nwnk dot net 2009-08-24 12:24:24 UTC
Mass version move, cvs -> git